Subject: Re: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jun 2019 18:13:48 +0200

Oleksandr Gavenko <[email-masked]> writes:

> It's very annoying as I have no control over file content and sometime can't
> add final new line.

I think that's kind of unusual -- most text file formats can end in
newlines.

> Emacs commands in diff mode should tolerate ``\`` message about missing final
> new line.
>
> ediff-diff-ok-lines-regexp is:
>
>   "^\\([0-9,]+[acd][0-9,]+?$\\|[<>] \\|---\\|.*Warning *:\\|.*No +newline\\|.*missing +newline\\|^?$\\)"
>
> and match that line.

I think if you need this, you should add it to that variable, but I
don't think this would be a good default.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no